Skip to main content
GET
/
v1
/
fungibles
Get list of fungible assets
curl --request GET \
  --url https://api.zerion.io/v1/fungibles/ \
  --header 'Authorization: Basic <encoded-value>'
{
  "links": {
    "self": "https://api.zerion.io/v1/fungibles/",
    "first": "https://api.zerion.io/v1/fungibles/",
    "next": "https://api.zerion.io/v1/fungibles/",
    "prev": "https://api.zerion.io/v1/fungibles/"
  },
  "data": [
    {
      "type": "fungibles",
      "id": "0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6",
      "attributes": {
        "name": "Bankless BED Index",
        "symbol": "BED",
        "flags": {
          "verified": true
        },
        "external_links": [
          {
            "url": "https://www.indexcoop.com",
            "type": "website",
            "name": "Website"
          }
        ],
        "implementations": [
          {
            "chain_id": "ethereum",
            "address": "0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6",
            "decimals": 18,
            "market_data": {
              "trading_volumes": {
                "volume_1d": 40096375.69294812
              }
            },
            "deployment_date": "2020-09-09T11:11:13Z"
          }
        ],
        "market_data": {
          "price": 106.87952669793131,
          "total_supply": 29905.762448515918,
          "circulating_supply": 29905.762448515918,
          "fully_diluted_valuation": 3196313.736038149,
          "market_cap": 3196313.736038149,
          "changes": {
            "percent_1d": -0.7379066649086338,
            "percent_30d": -2.499465618806962,
            "percent_90d": 11.316340269371775,
            "percent_365d": null
          },
          "trading_volumes": {
            "volume_1d": 40096375.69294812
          }
        },
        "description": "The BED index is meant to track crypto's top 3 investab.",
        "icon": {
          "url": "https://token-icons.s3.amazonaws.com/0x0391d2021f89dc339f60fff84546ea23e337750f.png"
        }
      },
      "relationships": {
        "chart_hour": {
          "links": {
            "related": "https://api.zerion.io/v1/fungibles/0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6/charts/hour"
          },
          "data": {
            "type": "fungible_charts",
            "id": "0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6-hour"
          }
        },
        "chart_day": {
          "links": {
            "related": "https://api.zerion.io/v1/fungibles/0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6/charts/day"
          },
          "data": {
            "type": "fungible_charts",
            "id": "0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6-day"
          }
        },
        "chart_week": {
          "links": {
            "related": "https://api.zerion.io/v1/fungibles/0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6/charts/week"
          },
          "data": {
            "type": "fungible_charts",
            "id": "0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6-week"
          }
        },
        "chart_month": {
          "links": {
            "related": "https://api.zerion.io/v1/fungibles/0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6/charts/month"
          },
          "data": {
            "type": "fungible_charts",
            "id": "0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6-month"
          }
        },
        "chart_year": {
          "links": {
            "related": "https://api.zerion.io/v1/fungibles/0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6/charts/year"
          },
          "data": {
            "type": "fungible_charts",
            "id": "0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6-year"
          }
        },
        "chart_max": {
          "links": {
            "related": "https://api.zerion.io/v1/fungibles/0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6/charts/max"
          },
          "data": {
            "type": "fungible_charts",
            "id": "0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6-max"
          }
        }
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

currency
enum<string>
default:usd

Denominated currency value of returned prices

Available options:
eth,
btc,
usd,
eur,
krw,
rub,
gbp,
aud,
cad,
inr,
jpy,
nzd,
try,
zar,
cny,
chf
page
object

Pagination parameters

filter[search_query]
string

Query for a full-text search.

Required string length: 1 - 66
Example:

"Index"

filter[implementation_chain_id]
string

Keep only fungibles from this chain. Available chain ids can be found in chains endpoints.

Example:

"polygon"

filter[implementation_address]
string

Keep only fungibles deployed at given address. Is it possible that different fungibles are deployed at the same address on different chains.

Required string length: 32 - 44
Example:

"0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6"

filter[fungible_implementations]
string[]

Keep only fungibles with given implementations (comma-separated list of chain:address pairs). Maximum of 25 implementations allowed. example: "base,ethereum:0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"

This filter is mutually exclusive with filter[implementation_chain_id] and filter[implementation_address].

Maximum array length: 25
filter[fungible_ids]
string[]

Keep only fungibles with the given ids (comma-separated list)

Maximum array length: 25
Maximum string length: 44
sort
enum<string>

Choose how the result should be ordered

Available options:
-market_data.market_cap,
market_data.market_cap,
-market_data.price.last,
market_data.price.last,
-market_data.price.percent_change_1d,
market_data.price.percent_change_1d,
-market_data.price.percent_change_30d,
market_data.price.percent_change_30d,
-market_data.price.percent_change_90d,
market_data.price.percent_change_90d,
-market_data.price.percent_change_365d,
market_data.price.percent_change_365d,
-market_data.trading_volumes.volume_1d,
market_data.trading_volumes.volume_1d

Response

Response for requested list of fungibles

data
object[]
required